#!/bin/sh
set -eux

if [ ! -f mesa/.gitlab-ci/i686-w64-mingw32 ]
then
	sed -e 's@x86_64@i686@g' -e 's@wine64@wine@' mesa/.gitlab-ci/x86_64-w64-mingw32 > mesa/.gitlab-ci/i686-w64-mingw32
fi
	

# -Dllvm:llvm-path=$PWD/llvm/mingw/x86 \

meson setup \
	--cross-file=mesa/.gitlab-ci/i686-w64-mingw32 \
	-Dzlib=disabled \
	-Dllvm=enabled \
	-Dshared-llvm=disabled \
	mesa mesa/build/mingw32
exec ninja -C mesa/build/mingw32 "$@"


#meson setup \
#	--cross-file=mesa/.gitlab-ci/x86_64-w64-mingw32 \
#	-D zlib=disabled \
#	mesa mesa/build/mingw64
#exec ninja -C mesa/build/mingw64 "$@"
